import time

from main.config.CConfig import CConfig
from main.platform.kodi.CKodi import CKodi
from main.database.CDatabase import CDatabase

Config = CConfig()
Config.ReadMain()
Kodi = CKodi()
Kodi.SetConfig(Config)
Database = CDatabase()
arZwischenprogramm = Database.GetZwischenprogramm()
arProgramm = Database.GetProgramm()

while(True):
	
	if(Kodi.IsKodiAktiv()):
		objPlaylistElementNow = Kodi.GetProgramm4Now(arProgramm)
		
		if(objPlaylistElementNow):
			if(Kodi.bIsProgrammRunnung == False):
				Kodi.SaveZwischenprogrammPosition()
				objParameter = { "playerid": Kodi.iPlayerId }
				Kodi.PlayerStop(objParameter)
				Kodi.PlayElement(objPlaylistElementNow)
				Kodi.bIsProgrammRunnung = True
		else:
			Kodi.bIsProgrammRunnung = False
		
		if(Kodi.bIsProgrammRunnung == False):
			if(Kodi.bIsZwischenprogrammRunnung == False):
				objParameter = { "playerid": Kodi.iPlayerId }
				Kodi.PlayerStop(objParameter)
				Kodi.LoadZwischenprogramm(arZwischenprogramm)
				
				if(Kodi.iZwischenprogrammItem >= 0):
					objParameter = { "item": { "playlistid": Kodi.iZwischenprogrammPlaylistId, "position":Kodi.iZwischenprogrammItem}, "options":{"repeat":"all" } }
				else:
					objParameter = { "item": { "playlistid": Kodi.iZwischenprogrammPlaylistId, "position":0}, "options":{"repeat":"all" } }
				
				Kodi.PlayerOpen(objParameter)
				
				if(Kodi.dZwischenprogrammProzent >= 0):
					objParameter = { "playerid": Kodi.iPlayerId, "value":Kodi.dZwischenprogrammProzent }
					Kodi.PlayerSeek(objParameter)
					
				Kodi.bIsZwischenprogrammRunnung = True
		else:
			Kodi.bIsZwischenprogrammRunnung = False
	time.sleep(1)

