from main.database.CPLaylistElement import CPLaylistElement

class CDatabase(object):
	
	def __init__(self):
		self.bIsZwischenprogrammRunning = False
	
	def GetCompleteData(self):
		
		arPlaylist = []
		
		objDateiliste = CPLaylistElement()
		objDateiliste.sTyp = 'PLAY.FOLDER'
		objDateiliste.sPfad = '/home/pi/mediacenter/zwischenprogrammFALSCH'
		arPlaylist.append({ "WOCHENTAG":"","ZEITVON":"","ZEITBIS":"", "DAUER": "", "ELEMENT": objDateiliste})
		
		objWeltStream = CPlaylistElement()
		objWeltStream.sTyp = 'PLAY.STREAM'
		objWeltStream.sUrl = 'https://live2weltcms-lh.akamaihd.net/i/Live2WeltCMS_1@444563/index_1_av-b.m3u8'
		arPlaylist.append({ "WOCHENTAG":"","ZEITVON":"10:00:00","ZEITBIS":"10:10:00", "DAUER": "", "ELEMENT": objWeltStream})
		
		return arPlaylist
		
	def GetZwischenprogramm(self):
		arPlaylist = []
		objDateiliste = CPLaylistElement()
		objDateiliste.sTyp = 'PLAY.FOLDER'
		objDateiliste.sPfad = '/home/pi/mediacenter/zwischenprogramm/'
		arPlaylist.append({ "WOCHENTAG":"","ZEITVON":"","ZEITBIS":"", "ELEMENT": objDateiliste})
		return arPlaylist
	
	def GetProgramm(self):
		arPlaylist = []
		objStream = CPLaylistElement()
		objStream.sTyp = 'PLAY.STREAM'
		objStream.sUrl = 'https://live2weltcms-lh.akamaihd.net/i/Live2WeltCMS_1@444563/index_1_av-b.m3u8'
		arPlaylist.append({ "WOCHENTAG":"","ZEITVON":"18:34:00","ZEITBIS":"18:35:00", "ELEMENT": objStream})
		arPlaylist.append({ "WOCHENTAG":"","ZEITVON":"18:36:00","ZEITBIS":"18:36:30", "ELEMENT": objStream})
		arPlaylist.append({ "WOCHENTAG":"","ZEITVON":"18:37:00","ZEITBIS":"18:38:20", "ELEMENT": objStream})
		return arPlaylist
	
	def IsZwischenprogrammRunning(self):
		return self.bIsZwischenprogrammRunning
		


